Page MenuHomePhabricator

Add 'type' field to store same information as was in es5 types.
Closed, ResolvedPublic

Event Timeline

EBernhardson triaged this task as Normal priority.Apr 19 2018, 11:34 PM
EBernhardson created this task.
EBernhardson added a comment.EditedApr 20 2018, 11:26 PM

To clarify, index types are not being removed. What has been removed is the ability to have an index with more than 1 type. This means titlesuggest and ttmserver should need no direct changes, as they already meet this requirement afaict. The content/general indices contain multiple types and need this new field.

We might also want to look into how to handle id overlap between types. We currently use mediawiki page id's for most things, but i could see deletes to a page type reordering with indexing to the archive type,

The metastore index also needs a new type field.

We've decided to split archive into it's own index, and move namespace into metastore. As such only metastore needs the new type field now.

Change 430441 had a related patch set uploaded (by EBernhardson; owner: EBernhardson):
[mediawiki/extensions/CirrusSearch@master] Convert metastore to single type

https://gerrit.wikimedia.org/r/430441

Change 430441 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Convert metastore to single type

https://gerrit.wikimedia.org/r/430441

Change 434826 had a related patch set uploaded (by EBernhardson; owner: EBernhardson):
[mediawiki/extensions/CirrusSearch@wmf/1.32.0-wmf.4] Convert metastore to single type

https://gerrit.wikimedia.org/r/434826

Change 434827 had a related patch set uploaded (by EBernhardson; owner: EBernhardson):
[mediawiki/extensions/CirrusSearch@wmf/1.32.0-wmf.5] Convert metastore to single type

https://gerrit.wikimedia.org/r/434827

Change 434826 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@wmf/1.32.0-wmf.4] Convert metastore to single type

https://gerrit.wikimedia.org/r/434826

Change 434827 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@wmf/1.32.0-wmf.5] Convert metastore to single type

https://gerrit.wikimedia.org/r/434827

debt closed this task as Resolved.Jun 14 2018, 8:03 PM